aggiornamento kde 4.0.4 a versioni successive

11 risposte [Ultimo messaggio]
Ritratto di xeniga
xeniga
(Monster)
Offline
Monster
Iscritto: 03/07/2008
Messaggi: 387

salve a tutti...sxo mi siate d aiuto...come si fa ad aggiornare kde dal 4.0.4 al 4.0.5 e successivi??nei repo kde:stable i pakketti sn fermi alla 4.0.4,fra qlk giorno uscira la 4.0.6..come aggiornare? è necessaria la compilazione a manina?

grazie per le possibili risposte Wink

Ritratto di spock
spock
(Guru)
Offline
Guru
Iscritto: 03/08/2006
Messaggi: 1225

Nel repo unstable sono anche più avanti della 4.0.6, ma visto che è unstable forse ti conviene aspettare un po e vedrai che anche nei repo stable si inizierà a trovare qualcosa di più aggiornato. Per la compilazione a manina io eviterei se non sei esperto.
Ciao

Ritratto di xeniga
xeniga
(Monster)
Offline
Monster
Iscritto: 03/07/2008
Messaggi: 387

grazie intanto per la tua rsp...cmq ho notato ke nei repo unstable ci sn i pakketti della 4.0.83 ke riguardano le beta ke stanno uscendo in qst giorni per kde 4.1...io vorrei semplicemente aggiornare al 4.0.5...e csì in seguito al 4.0.6 senza usare le beta di kde 4.1 ke sn + instabili...spero di avere + notizie in merito...gracias Wink

Ritratto di xeniga
xeniga
(Monster)
Offline
Monster
Iscritto: 03/07/2008
Messaggi: 387

ke io sappia..gli sviluppi di kde 4 hanno presodue strede un pò diverse una sulla stabilità ossia kde 4.0.4 4.0.5 ecc e l altra un pò + sperimentale e instabile cm le 2beta ke sn recentemente sfornate..uso opensuse come sistema principale e nn vorrei avere crash o bug mlt fastidiosi,qndi al mom vorrei dedicarmi agli aggiornam del ramo stabile..ke ancora nn ho capito cm aggiornare...Sad

spero mi siate d'aiuto...

Ritratto di croweland
croweland
(Geek)
Offline
Geek
Iscritto: 26/06/2005
Messaggi: 71

Sembra che su suse, nessuno aggiorni il sistema...
Comuqnue, io ho provato con Zypper, in particolar modo:

Zypper update -t package

come conseguenza mi ha installato kde beta 1 o 2 non ricordo oltre ad aggiornare tutto il parco software installato sul mio pc.

Unico punto dolente e che non sono riuscito a fare il login mi appariva

COULD NOT START KDEINIT4

Quindi con Acronis sono ritornato alla situazione precedente.

Lo stesso io non riesco a trovare info su come aggiornare il proprio software installato.

Ritratto di cla90
cla90 (non verificato)
()

Quote:

come conseguenza mi ha installato kde beta 1 o 2 non ricordo oltre ad aggiornare tutto il parco software installato sul mio pc.

e' normale, se hai il repo factory di kde4 attivo zypper ti installa l'ultima versione di tutto, non distingue mica tra pacchetti stabili o no

se volete stare sicuri upgradate in yast solo i pacchetti nei repo "fidati" tipo oss e non-oss, che contengono software stabile.

andate in yast->installazione pacchetti

in "filtro" selezionate "sorgenti di installazione"

selezionate un repo, ad esempio "sorgenti di installazione (OSS)"

cliccate con il tasto destro su un pacchettto qualsiasi della lista-> "tutti in questa lista"-> "aggiorna se e' disponibile una nuova versione"
----------------------------------------------------------------x
@xeniga

kde4.1 fa parte del ramo di kde4 e a fine mese esce la 4.1 finale, e' come avere kde 3.5.9 e voler usare il 3.5.8...

i repo (factory) sono aggiornati all'ultima versione...

secondo me puoi fare solo due cose: provare kde 4.1 b2 che personalmente non mi da problemi, oppure trovarti dei sorgenti del 4.0.x e compilarli..

ciaociao

Ritratto di croweland
croweland
(Geek)
Offline
Geek
Iscritto: 26/06/2005
Messaggi: 71

ora provo, dovrebbe essere:
Yast ---> Aggiornamenti in linea?
E poi tutto il resto che scrivi.

Ora provo e vediamo un po

Ritratto di croweland
croweland
(Geek)
Offline
Geek
Iscritto: 26/06/2005
Messaggi: 71

Ok sembra che abbia aggiornato con successo ora.

Mentre prima avevo:
4.0.4 ---> 20080505 15.1

ora ho:
4.00.85 (KDE 4.0.85 (KDE 4.1 >= 20080703) "release 1.1"

Mi e' cambiato anche il wallpaper ora e' sul blu, ma questo e' l'ultimo dei problemi.

La differenza anche tra il mio metodo del Zyper ed il tuo e' che mentre nel mio non evidenziava alcun tipo di conflitto e quindi poi dava quell'errore nell'avvio con il tuo ho dovuto risolvere qualche conflitto.

A presto

Ritratto di xeniga
xeniga
(Monster)
Offline
Monster
Iscritto: 03/07/2008
Messaggi: 387

ciò ke nn capisco è perkè rimanere bloccati sulla 4.0.4 ke risale ad aprile qndo già è uscita la 4.0.5 e a momenti anke la 4.0.6...queste sono stabili rispetto alle beta di kde 4.1...nn capisco perkè hanno creato il repo di kde:stable ke servirebbe ad aggiornare il ramo stabile(kde 4.0.x) ke invece nn aggiorna...sn andato anke sul sito di kde nella parte in cui spiega cm aggiornare kde nelle varie distribuzioni,e in qll di opensuse esce appunto il repo di kde:stable ke ripeto è rimasto fermo invece...mbha....

Ritratto di cla90
cla90 (non verificato)
()

come ho gia' detto, la 4.0 non avra' mai uno sbocco come "stable", in quanto era solo una release di sviluppo....
la sua funzione era solo di prewiew sulle caratteristiche e innovazioni del kde 4.1.

l'ho provata tempo fa e a dirla tutta non mi era sembrata neanche un granche' stabile (crashava ogni due minuti...)

Ritratto di xeniga
xeniga
(Monster)
Offline
Monster
Iscritto: 03/07/2008
Messaggi: 387

secondo me t sbagli,al mom sono cn kde 4.0.4 ed è stabilissimo...inoltre nn penso ke il team di opensuse metterebbe come default un DE come dici tu instabile e pieno di possibili crash...probabilm hai utilizzato i primi rilasci...inoltre cme dice anke l articolo sul sito di kde per quanto riguarda le beta di kde 4.1 sono + queste delle anteprime ke il ramo 4.0.x...